import svelte from 'rollup-plugin-svelte'
import resolve from '@rollup/plugin-node-resolve'
import commonjs from '@rollup/plugin-commonjs'

const production = !process.env.ROLLUP_WATCH;

import pkg from './package.json'

export default {
  input: 'src/icon.svelte',
  output: [
    {
      file: pkg.module,
      format: 'es',
      sourcemap: true,
      name: 'svelte-dynamic-iconify'
    },
    {
      file: pkg.main,
      format: 'umd',
      sourcemap: true,
      name: 'svelte-dynamic-iconify'
    }
  ],
  plugins: [
    svelte({
      dev: !production,
      hydratable: true,
    }),
    resolve(),
    commonjs(),
  ],
};